Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(49)

Issue 2534363002: Add infobar metrics for the new search geolocation disclosure. (Closed)

Created:
3 years, 8 months ago by benwells
Modified:
3 years, 8 months ago
Reviewers:
Ilya Sherman, gone
CC:
chromium-reviews, asvitkine+watch_chromium.org, chrome-apps-syd-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add infobar metrics for the new search geolocation disclosure. The new metrics record the action the user took after the disclosure was shown (ignored, clicked settings, or dismissed), as well as the time that the infobar was shown for. BUG=661011 Committed: https://crrev.com/e0c686cc741c804821070440dccbedad97ba848f Cr-Commit-Position: refs/heads/master@{#435567}

Patch Set 1 #

Total comments: 1

Patch Set 2 : LAST -> COUNT #

Unified diffs Side-by-side diffs Delta from patch set Stats (+65 lines, -5 lines) Patch
M chrome/browser/android/search_geolocation_disclosure_infobar_delegate.h View 4 chunks +11 lines, -0 lines 0 comments Download
M chrome/browser/android/search_geolocation_disclosure_infobar_delegate.cc View 1 4 chunks +31 lines, -3 lines 0 comments Download
M chrome/browser/ui/android/infobars/search_geolocation_disclosure_infobar.cc View 1 chunk +1 line, -2 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 2 chunks +22 lines, -0 lines 0 comments Download

Messages

Total messages: 20 (11 generated)
benwells
isherman for histograms dfalcantara for the rest
3 years, 8 months ago (2016-11-30 08:29:47 UTC) #5
gone
lgtm https://codereview.chromium.org/2534363002/diff/1/chrome/browser/android/search_geolocation_disclosure_infobar_delegate.cc File chrome/browser/android/search_geolocation_disclosure_infobar_delegate.cc (right): https://codereview.chromium.org/2534363002/diff/1/chrome/browser/android/search_geolocation_disclosure_infobar_delegate.cc#newcode25 chrome/browser/android/search_geolocation_disclosure_infobar_delegate.cc:25: LAST = DISMISSED Curious about this since I've ...
3 years, 8 months ago (2016-11-30 18:28:45 UTC) #8
Ilya Sherman
metrics lgtm (and +1 to Dan's question)
3 years, 8 months ago (2016-12-01 00:50:49 UTC) #9
benwells
On 2016/12/01 00:50:49, Ilya Sherman wrote: > metrics lgtm (and +1 to Dan's question)
3 years, 8 months ago (2016-12-01 04:04:48 UTC) #10
benwells
On 2016/12/01 04:04:48, benwells (slow) wrote: > On 2016/12/01 00:50:49, Ilya Sherman wrote: > > ...
3 years, 8 months ago (2016-12-01 04:05:05 UTC) #11
benwells
On 2016/12/01 04:05:05, benwells (slow) wrote: > On 2016/12/01 04:04:48, benwells (slow) wrote: > > ...
3 years, 8 months ago (2016-12-01 04:39:06 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2534363002/20001
3 years, 8 months ago (2016-12-01 05:46:28 UTC) #15
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years, 8 months ago (2016-12-01 06:45:15 UTC) #18
commit-bot: I haz the power
3 years, 8 months ago (2016-12-01 06:47:24 UTC) #20
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/e0c686cc741c804821070440dccbedad97ba848f
Cr-Commit-Position: refs/heads/master@{#435567}

Powered by Google App Engine
This is Rietveld 408576698